Package org.jfree.report.event

# Interface ReportProgressListener

All Superinterfaces:
  `EventListener`

public interface ReportProgressListener extends EventListener
Creation-Date: 15.11.2006, 21:02:51

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`void`
`reportProcessingFinished(ReportProgressEvent event)`
`void`
`reportProcessingStarted(ReportProgressEvent event)`
`void`
`reportProcessingUpdate(ReportProgressEvent event)`

## Method Details

### reportProcessingStarted

void reportProcessingStarted(ReportProgressEvent event)

### reportProcessingUpdate

void reportProcessingUpdate(ReportProgressEvent event)

### reportProcessingFinished

void reportProcessingFinished(ReportProgressEvent event)